JTEKT MACHINE SYSTEMS (THAILAND) CO., LTD. - Parent project #2903
[PJ250096] Label

14 Nov 2025 14:11 - Siriwilai Chaiwattanaphon

Status: In Progress Start date:

Priority: Normal Due date:

Assignee: Ryo Nozaki Spent time: 0.00 hour
Description

History

#1 - 14 Nov 2025 14:13 - Siriwilai Chaiwattanaphon

1. SO-1058 Label 60.33 x 210 mm. 80G Non Glue Q'ty 15 Roll
2. CARBON RIBBON WAX T102H 21.5 x 300 mm. Q'ty 20 Roll

#2 - 13 Dec 2025 08:38 - Siriwilai Chaiwattanaphon
- Subject changed from [PJ250083] Label to [PJ250096] Label

19 Dec 2025 1/1
